@import './fonts.scss';

* {
    padding: 0;
    margin: 0;
    border: 0;
    outline: none;
    background-color: unset;
    text-decoration: none;
};

html {
    font-family: 'Roboto', sans-serif;
}; 

a {
    &:link {color:unset; text-decoration: none}
    &:visited {color:unset; text-decoration: none}
    &:link:active {color:unset; text-decoration: none}
    &:visited:active {color:unset; text-decoration: none}
};

h1, h2, h3, h4, h5, h6, p, a, span, input, textarea, option, button {
    display: flex;
    font-family: 'Roboto', sans-serif;
    margin-block-start: 0;
    margin-block-end: 0;
    margin-inline-start: 0;
    margin-inline-end: 0;
};

input {flex-grow: 1};

h1, h2, h3, h4, h5, h6, p, span, textarea, input, button, div {
    font-size: 14px;
    line-height: 22px;
    font-weight: 400;
}

// h1 {font-size: 2rem; line-height: 2.5rem; font-weight: 700};
// h2 {font-size: 1.75rem; line-height: 2.25rem; font-weight: 700};
// h3 {font-size: 1.5rem; line-height: 2rem; font-weight: 700};
// h4 {font-size: 1.25rem; line-height: 1.75rem; font-weight: 700};
// h5 {font-size: 1rem; line-height: 1.5rem; font-weight: 700};
// h6 {font-size: 0.875rem; line-height: 1.125rem; font-weight: 700};
// p  {font-size: 1rem; line-height: 1.5rem; font-weight: 400};
// span {font-size: 1rem; line-height: 1.5rem; font-weight: 400};
// textarea {font-size: 1rem; line-height: 1.5rem; font-weight: 400};
// input {font-size: 1rem; line-height: 1.5rem; font-weight: 400};
// button {font-size: 1rem; line-height: 1.5rem; font-weight: 700};
